/*
 * Copyright (c) 1998-2005 Jitterbit, Inc.
 *
 */
package org.jitterbit.util.xml.sax;

/**
 * Handler that will be notified when an <tt>IKongaSaxParser</tt> starts
 * processing an XML element.
 * 
 * @author Torgil
 *
 */
public interface IStartElementHandler {

    /**
     * This method will be called by the <tt>IKongaSaxParser</tt> when it
     * starts processing an element in which this handler has registered its
     * interest.
     * 
     * @param parser    the <tt>IKongaSaxParser</tt> that is doing the 
     *                  XML parsing.
     * @throws KongaSaxParserException   if this handler fails to handle
     *                  the element correctly.
     */
    public abstract void handleStart(IKongaSaxParser parser) throws KongaSaxParserException;
    
}
